Subject: [Pce] Errors and Notifications

From: "POUYLLAU, HELIA (HELIA)" <[email-masked]>
Date: Thu, 29 Sep 2011 17:06:51 +0200

Dear PCErs,

We have just (finally :-) ) submitted the -03 version of draft-pouyllau-pce-enhanced-errors: http://www.ietf.org/id/draft-pouyllau-pce-enhanced-errors-03.txt

We modified many sections according to mailing-list comments and feedback received at last year meeting. Main modifications are:
- section 4: Error-type and Notification-type are replaced by TLVs : a  TLV to indicate the criticity level of errors, a TLV to indicate the type of notification (request-specific or not), a TLV to specify if the message must be propagate or not. The propagation of critical errors that consequently close the PCEP session is still feasible (we aim to cover all the behaviors) but optional by the introduction of a medium level of criticity.
- section 5.3: specify the rules of TLV usages with the error and notification types defined in RFC 5440, 5441, 5455, 5521, 5557, 5886 and 6006.
- section 6: Error and notification scenarios have been reformulated and focus on a sub-set of behaviors.

Please provide comments and feedback

BR
Helia